%global         debug_package %{nil}

Name:           docky
Version:        2.2.0
Release:        %mkrel 1

Summary:        Advanced shortcut bar written in Mono
Group:          Graphical desktop/Other
License:        GPLv3+
URL:            http://wiki.go-docky.com
Source0:        http://launchpad.net/docky/2.1/%{version}/+download/docky-%{version}.tar.xz
Patch0:         %{name}-nozoom.patch
Patch1:         %{name}-startscript-path.patch

BuildRequires:  gnome-sharp2-devel 
BuildRequires:	gtk-sharp2-devel 
BuildRequires:	gnome-desktop-sharp-devel
BuildRequires:  gnome-keyring-sharp 
BuildRequires:	mono-addins-devel
BuildRequires:  mono-devel 
BuildRequires:	ndesk-dbus 
BuildRequires:	ndesk-dbus-glib
BuildRequires:  notify-sharp-devel 
BuildRequires:	GConf2-devel
BuildRequires:  gio-sharp-devel 
BuildRequires:	dbus-sharp-devel 
BuildRequires:	dbus-sharp-glib-devel
BuildRequires:  python-devel
BuildRequires:  glib2-devel 
BuildRequires:	gtk2-devel
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:	libpthread-stubs
Requires:       gnome-sharp2 
Requires:	gtk-sharp2 
#Requires:	gnome-desktop 
Requires:	gnome-desktop-sharp
Requires:       gnome-keyring-sharp 
Requires:	mono-addins
Requires:       mono 
Requires:	ndesk-dbus 
Requires:	notify-sharp 
Requires:	gtk2 
Requires:	GConf2
Requires:       hicolor-icon-theme
Requires:       gio-sharp 
Requires:	dbus-sharp 
Requires:	dbus-sharp-glib

%description
Docky is an advanced shortcut bar that sits at the bottom, top, and/or sides 
of your screen. It provides easy access to some of the files, folders, 
and applications on your computer, displays which applications are 
currently running, holds windows in their minimized state, and more.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.

%package        autostart
Summary:        Autostart for KDE/MATE/LDXDE file for %{name}
Group:          Graphical desktop/Other
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch

%description    autostart
This package will allow Docky to autostart when
logging into the KDE, MATE or LXDE desktop.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure2_5x

make


%install
rm -rf %{buildroot}
%makeinstall_std 

#gapi_codegen.exe is not distributed (licence is GNU GPL v2)
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/gapi_codegen*


desktop-file-install --vendor=""  \
        --remove-category Application \
        --add-category="GTK" \
        --add-category="Settings" \
        --add-category="DesktopSettings" \
        --add-category="X-MandrivaLinux-System-Configuration-Other" \
        --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#autostart file
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp %{buildroot}%{_datadir}/applications/%{name}.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop
        
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT NEWS
%doc %{_mandir}/man1/%{name}.1*
%{_sysconfdir}/gconf/schemas/docky.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/gmail.png
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/applications/*.desktop

%files autostart
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/%{name}.desktop

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/docky.cairohelper.pc
%{_libdir}/pkgconfig/docky.services.pc
%{_libdir}/pkgconfig/docky.widgets.pc
%{_libdir}/pkgconfig/docky.items.pc


%changelog
* Fri Dec 12 2014 Joe <joe at pclosmail.com dot de> 2.2.0-pclos2014
- 2.2.0
- remove duplicated BRs (gb)
- add --enable-release configuration option (gb)
- add missing BR libpthread-stubs
- remove requirement of gnome-desktop (gb)

* Sun Oct 14 2012 Neal <nealbrks0 at gmail dot com> 2.1.4-1pclos2012
- process

* Sun Oct 14 2012 Ken <lxgator@gmail.com> 2.1.4-1pclos2012
- initial build
